# Resolve the immutable repository identity for a Git filter

`POST /v1/datasets/upload/resolve`

Resolve only the repo UUID; do not fetch a potentially huge tree/head.

- Base URL: `https://junction-api.qualiastudios.dev`
- Authentication: an API key in the `X-API-Key` header, or `Authorization: Bearer …`

## Request body

Required: `application/json` `UploadBeginBody`

## Responses

- `200` Successful Response: `application/json` `any`
- `401` Invalid or missing API key: `application/json` `ErrorResponse`
- `422` Validation Error: `application/json` `HTTPValidationError`

## Schemas

```yaml
UploadBeginBody:
  properties:
    name:
      type: string
    merge_target:
      type:
        - string
        - "null"
    merge_intent_action_needed:
      maxLength: 2048
      type:
        - string
        - "null"
    source_format:
      type:
        - string
        - "null"
    upload_protocol:
      type: integer
      default: 1
    ingest_toml:
      maxLength: 65536
      minLength: 1
      type:
        - string
        - "null"
    rig:
      maxLength: 256
      minLength: 1
      type:
        - string
        - "null"
    transfer_session_id:
      format: uuid
      type:
        - string
        - "null"
  additionalProperties: false
  type: object
  required:
    - name
  title: UploadBeginBody
ErrorResponse:
  properties:
    detail:
      type: string
      description: Error message describing what went wrong
  type: object
  required:
    - detail
  title: ErrorResponse
  description: Standard error response.
HTTPValidationError:
  properties:
    detail:
      items:
        $ref: "#/components/schemas/ValidationError"
      type: array
  type: object
  title: HTTPValidationError
ValidationError:
  properties:
    loc:
      items:
        type:
          - string
          - integer
      type: array
      title: Location
    msg:
      type: string
      title: Message
    type:
      type: string
      title: Error Type
    input: {}
    ctx:
      type: object
      title: Context
  type: object
  required:
    - loc
    - msg
    - type
  title: ValidationError
```
